#set( $symbol_pound = '#' )
#set( $symbol_dollar = '$' )
#set( $symbol_escape = '\' )
${symbol_pound} ${project-name}
${project-description}

This project has been generated by the Maven archetype
[${archetype-artifactId}-${archetype-version}](https://docs.camunda.org/manual/latest/user-guide/process-applications/maven-archetypes/).

${symbol_pound}${symbol_pound} Show me the important parts!
[BPMN Process](src/main/resources/process.bpmn)

${symbol_pound}${symbol_pound} How does it work?

${symbol_pound}${symbol_pound} How to use it?

${symbol_pound}${symbol_pound}${symbol_pound} Unit Test
You can run the JUnit test [ProcessTest](src/test/java/${packageInPathFormat}/ProcessTest.java) in your IDE or using:

```bash
mvn clean test
```

${symbol_pound}${symbol_pound}${symbol_pound} Running the application
You can also build and run the process application with Spring Boot.

${symbol_pound}${symbol_pound}${symbol_pound}${symbol_pound} Manually
1. Build the application using:

```bash
mvn clean package
```
2. Run the *.jar file from the `target` directory using:

```bash
java -jar target/${artifactId}.jar
```

For a faster 1-click (re-)deployment see the alternatives below.

${symbol_pound}${symbol_pound}${symbol_pound}${symbol_pound} Maven Spring Boot Plugin
1. Build and deploy the process application using:

```bash
mvn clean package spring-boot:run
```

${symbol_pound}${symbol_pound}${symbol_pound}${symbol_pound} Your Java IDE
1. Run the project as a Java application in your IDE using CamundaApplication as the main class.

${symbol_pound}${symbol_pound}${symbol_pound} Run and Inspect with Tasklist and Cockpit
Once you deployed the application you can run it using
[Camunda Tasklist](http://docs.camunda.org/latest/guides/user-guide/#tasklist)
and inspect it using
[Camunda Cockpit](http://docs.camunda.org/latest/guides/user-guide/#cockpit).

${symbol_pound}${symbol_pound} Environment Restrictions
Built and tested against Camunda Platform version ${camunda-version}.

${symbol_pound}${symbol_pound} Known Limitations

${symbol_pound}${symbol_pound} License
[Apache License, Version 2.0](http://www.apache.org/licenses/LICENSE-2.0).

<!-- Tweet
New @Camunda example: ${project-name} - ${project-description} https://github.com/camunda-consulting/code/tree/master/snippets/${artifactId}
-->
